clear 

[er4, uef4 ] = calcula_n ( 4,1);
[er8, uef8 ] = calcula_n ( 8,2);
[er16,uef16] = calcula_n (16,3);
[er32,uef32] = calcula_n (32,4);
[er64,uef64] = calcula_n (64,5);

figure(6)
lWidth = 2;
sizeFontA = 16;
sizeFontB = 20;
loglog([1/64 1/32 1/16 1/8 1/4],[er64 er32 er16 er8 er4],'k-', ...
        'LineWidth', lWidth)
grid
ylabel ('Error u');
xlabel ('h');
set(gca,'Fontsize',sizeFontA)
set(get(gca,'xlab'),'Fontsize',sizeFontB)
set(get(gca,'ylab'),'Fontsize',sizeFontB)
set(get(gca,'title'),'Fontsize',sizeFontB)

figure(7)
plot([4 8 16 32 64],[uef4 uef8 uef16 uef32 uef64],'k-',...
     [0 80], [0.5^4 0.5^4], 'r-', ...
        'LineWidth', lWidth)
axis([0 70 0.059 0.064])
grid
ylabel ('u');
xlabel ('n');
set(gca,'Fontsize',sizeFontA)
set(get(gca,'xlab'),'Fontsize',sizeFontB)
set(get(gca,'ylab'),'Fontsize',sizeFontB)
set(get(gca,'title'),'Fontsize',sizeFontB)